> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar anexos da sessão

> Lista todos os anexos de uma sessão.

<Note>
  O `devin_id` é o ID de sessão com o prefixo `devin-` (por exemplo, `devin-abc123`).
</Note>

<div id="permissions">
  ## Permissões
</div>

Requer um usuário de serviço com a permissão `ViewOrgSessions` no nível da organização.


## OpenAPI

````yaml pt-BR/v3-openapi.yaml GET /v3/organizations/{org_id}/sessions/{devin_id}/attachments
openapi: 3.1.0
info:
  description: API Devin v3 com autenticação de usuário de serviço e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/sessions/{devin_id}/attachments:
    get:
      tags:
        - sessions
      summary: Listar anexos da sessão
      description: Lista todos os anexos de uma sessão.
      operationId: >-
        handle_get_session_attachments_v3_organizations__org_id__sessions__devin_id__attachments_get
      parameters:
        - description: 'ID da organização (prefixo: org-)'
          in: path
          name: org_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: org-abc123def456
            title: Org Id
        - description: 'ID da sessão do Devin (prefixo: devin-)'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SessionAttachment'
                title: >-
                  Response Handle Get Session Attachments V3 Organizations  Org
                  Id  Sessions  Devin Id  Attachments Get
                type: array
          description: Sucesso
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    SessionAttachment:
      description: Um anexo enviado durante uma sessão.
      properties:
        attachment_id:
          title: Attachment Id
          type: string
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        name:
          title: Name
          type: string
        source:
          enum:
            - devin
            - user
          title: Source
          type: string
        url:
          title: Url
          type: string
      required:
        - attachment_id
        - name
        - url
        - source
      title: SessionAttachment
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuário de serviço (prefixo: cog_)'
      scheme: bearer
      type: http

````